
/*  ###############################################################
    ##
    ##     File:         findall.c
    ##
    ##     Programmer:   Shawn Flisakowski
    ##     Date:         Dec 16, 1994
    ##
    ##
    ###############################################################  */

#include    <stdio.h>
#include    <string.h>
#include    <stdlib.h>
#include    <assert.h>

#include    "transform.h"
#include    "globals.h"
#include    "Lexer.h"
#include    "tok_val.h"

/*  ###############################################################  */

char  *cur_file;

/*  ###############################################################  */

void Usage(char *prog)
{

    fprintf(stderr,"Usage: %s [options] [filename(s)]\n\n");

    fprintf(stderr,
    "This program replaces identifiers and types in C and C++ code.\n\n");

    fprintf(stderr,"Options:\n");
    fprintf(stderr,"\tGeneral:\n");
    fprintf(stderr,"\t-help: \t Show this message (-h).\n");
    
    fprintf(stderr,"\n\tInput/Output:\n");
    fprintf(stderr,"\t-t:     Next arg is the name change file.\n");

    exit(0);
}

/*  ###############################################################  */

int processArgs( int argc, char **argv )
{
    int num_files = 0;
    int value;
    char *pname;
    char *arg;

    pname = *argv++;
    argc--; 

    while(argc-- > 0){

        arg = *argv;
        value = ON;

        if (*arg == '-'){
            arg++;

            if (  (strcmp(arg,"help") == 0) ||
                  (strcmp(arg,"h") == 0) ||
                  (strcmp(arg,"H") == 0) ||
                  (strcmp(arg,"?") == 0)){
                Usage(pname);
            } else
            
            if (strcmp(arg,"t") == 0) {
                argv++; argc--;
                namef = *argv;
            } else

            {    /* Unrecognized option - ignore */
                fprintf(stderr,"Option: '%s' not recognized.\n",arg); 
            }

        } else {
            file_list[num_files++] = arg;    
        }
        argv++;
    }

    file_list[num_files] = NULL;

    return(num_files);
}

/*  ###############################################################  */

int main( int argc, char **argv )
{
int   j;
char *line;
char buff[100];

    if ((processArgs(argc,argv)) < 0)
    	return(-1);

    for (j=0, cur_file =file_list[0]; cur_file; j++, cur_file=file_list[j]){

    
        if ((infp = fopen(cur_file,"r")) == NULL){
            fprintf(stderr,"Could not open %s for reading.\n",cur_file);
            continue;
        }
      
        outfp = fopen("/dev/null","w");
        assert(outfp);
 
        while(yylex())
            ;

        fclose(outfp);
        fclose(infp);
    }

    symshow2(); 
    free_symtab();
    return(0);
}

/*  ###############################################################  */
