
/*  ###############################################################
    ##
    ##     (Gnu?) C Interpreter
    ##
    ##     File:         globals.h
    ##
    ##     Programmer:   Shawn Flisakowski
    ##     Date:         Dec 16, 1994
    ##
    ##
    ###############################################################  */

#ifndef     GLOBALS_H_INCLUDED
#define     GLOBALS_H_INCLUDED

#include <stdio.h> 
#include "transform.h"

/*  ###############################################################  */

#define MAX_FILES	512

/*  ###############################################################  */

	/* Flags */
extern int	all;        /* Check for all errors (set of flags) */
extern int	align;	    /* Check for alignment independance */
extern int	bounds;     /* Do array bounds checking */
extern int	help;	    /* Show gci options */
extern int	leak;	    /* Watch for memory leaks */
extern int	modify;	    /* Allow self-modifying code */
extern int	relax;	    /* Relax errors somewhat (set of flags) */
extern int	prompt;	    /* Show a prompt (interactive) */
extern int	warn;       /* Warnings for questionable things */
extern int	version;    /* Show version */
extern int	verbose;    /* Be very verbose */

extern char   *inputf;      /* The input file to use */
extern char   *output;      /* The output file */
extern char   *namef;
extern char   *dribble;     /* A "dribble" file for the whole session */
extern char   *emulate;     /* A processor/compiler to emulate */

/*  ###############################################################  */

	/* A level of indirection for input/output */
extern FILE *infp;
extern FILE *outfp;
extern FILE *nmefp;
extern FILE *dupfp;	/* For dribble output */

/*  ###############################################################  */

	/* To hold the files/directories requested at startup */
extern char *file_list[MAX_FILES];

/*  ###############################################################  */

#endif     /* GLOBALS_H_INCLUDED */
